# Quote

The Quote endpoint enables the RentalCover server to generate a policy quote based on the parameters provided.

Normally this endpoint is called during the checkout process when the user has chosen a vehicle and is offered an excess reduction policy. However, it can be called at any point in the search / book process as long as the required parameters are available.

This API call will generate a URL to the generated RentalCover quote. This URL can be integrated into the booking confirmation page and confirmation emails so that users can click the link and be redirected to their corresponding quote page on RentalCover.

#### **Endpoint**: `/insurances/quote`

#### **Method**: `POST`

{% tabs %}
{% tab title="POST /insurances/quote " %}

```perl
curl -i -X POST \
-H "X_API_KEY: [my-api-key]" \
-H "Content-Type: application/json" \
-d '{"FromDate":"2014-09-20 00:00:00","ToDate":"2014-09-21 00:00:00", "CustomerAge":21, "DestinationCountry":"AU", "FirstName":"Jack", "LastName":"Smith", "Address1":"21 This Street", "City":"Sydney","Email":"jacksmith@myemail.com.au","Country":"AU"}' \
https://api-staging.rentalcover.com/insurances/quote
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
   "BookingId":"12345",
   "Reference":"AB12-345C-INS",
   "Status":"Received",
   "FromDate":"2015-06-24 00:00:00",
   "ToDate":"2015-06-25 00:00:00",
   "TotalAmount":10,
   "InsuranceCoverAmount":2000,
   "SupplierReference":null,
   "Expired":false,
   "PoweredByLogo":"https://www.rentalcover.com/poweredByRCLogo.png",
   "CoveredDays":2,
   "Discount":0,
   "DestinationCountry":"Australia",
   "DestinationCountryObject":{
      "Code":"AU",
      "Name":"Australia",
      "PhoneCode":"+61"
   },
   "Currency":"AUD",
   "TotalAmountFormatted":"GB\u00a310.00",
   "InsuranceCoverAmountFormatted":"GB\u00a32,000.00",
   "DiscountFormatted":"GB\u00a30.00",
   "DailyAmountFormatted":"GB\u00a35.00",
   "Disclaimer":"You agree that you have read, understood & accepted the terms of the <a href=\"http://files.rentalcover.com/pds/axa_PDS_usinbound.pdf\">Policy</a>.",
   "Policy":{
      "GapCoverAmount":"250.00",
      "Code":"destinationusa75",
      "Excess":"0.00",
      "Name":"Extra Cover for USA",
      "Type":"RoadsideAssistance",
      "Inclusions":"<b>Summary of Inclusions</b>\r\nGB\u00a32,000.00 is sufficient to cover any repair costs and fees that drivers are required to pay on top of LDW (Loss Damage Waiver) policies. We also includeGB\u00a3250.00 Free Gap Cover just in case there is any shortfall or unanticipated &quot;out of pocket&quot; costs. This policy includes:\r\n<li>All drivers that are nominated on the rental agreement are covered automatically for free.\r\n<li>Includes free roadside assistance from the #1 rated roadside provider in United States (usually GB\u00a35.00-GB\u00a310.00/day).\r\n<li>Covers roadside repair costs, call out fees &amp; labour costs.\r\n\r\n<li>Covers towing costs and impound storage fees.\r\n<li>Covers key loss, lock out &amp; key replacement (regardless of the cause).\r\n<li>Covers windscreen, headlights, tyre, mirror &amp; glass repairs.\r\n<li>Covers car rentals, car shares, loan cars from mechanics &amp; accident replacement vehicles. \r\n<li>Covers dropoff/relocation fees that are charged by rental companies for returning damaged vehicles to their preferred destination.\r\n<li>Covers credit card and processing fees that are applied by rental companies.</li>\r\n\r\n<b>Cancellations</b>\r\nYour policy can be cancelled up to and including the day of commencement for a full, immediate refund.",
      "Description":"<b>Policy Description</b>\r\nThis policy includes GB\u00a32,000.00 cover and can be applied to rental cars from any rental company. It includes free roadside assistance and covers damages, costs &amp; other fees that are not covered in the LDW policy from LDW has zero &quot;deductible excess&quot; (i.e. you don&#039;t have to pay an excess if there&#039;s an accident), drivers still face substantial costs for items that fall outside of the scope of the LDW. This policy covers those items for up to GB\u00a32,000.00, namely: \r\n\r\n<li>Any damages that are not covered by rental companies to recoup lost sales while their vehicle is being repaired.\r\n<li>&quot;Dropoff&quot; fees that are charged by the rental companies to relocate vehicles to their intended destination.\r\n<li>Administration costs that are charged by {{IF SUPPLIER}}{{/IF}}rental companies for processing repairs, insurance etc.\r\n<li>Credit card fees that are applied to all of the above.</li>\r\n<b>Additional Drivers</b>\r\nWe separately include GB\u00a3250.00 Free Gap Cover for peace of mind, just in case there is a shortfall.\r\n \r\n<b>Additional Drivers</b>\r\nAll drivers nominated on the rental agreement are covered automatically, free of charge. Those other drivers are also extended the benefit of the reimbursement of unused rental days resulting from a family medical emergency.\r\n\r\n<b>Claim Fee</b>\r\nThe claim fee on this policy is GB\u00a30.00. \r\n\r\n<b>Exclusions</b>\r\nThe following are not covered by this policy. Please read the <a href=&quot;http://files.rentalcover.com/pds/axa_PDS_usinbound.pdf&quot;>policy wording</a> for further information:\r\n<li>4x4s, campervans, motorhomes, mini buses with 10 seats or more.\r\n<li>Driving on unsealed roads.\r\n<li>Damages that resulted from a breach of the rental agreement or that contravened local laws.</li>",
      "SellingPoints":"<li>Covers car rentals, loan cars from mechanics &amp; accident replacement vehicles for up to GB\u00a32,000.00 of damages.\r\n<li>Cancel anytime including the day of pickup for a full, immediate refund.\r\n\r\n<li>Free roadside assistance.\r\n<li>Covers roadside repair costs.\r\n<li>Cover for towing costs and impound storage fees.\r\n<li>Key loss &amp; replacement.\r\n<li>Full cover for windscreen repairs, headlights and tyres.",
      "GapCoverAmountFormatted":"GB\u00a3250.00",
      "ExcessFormatted":"GB\u00a30.00",
      "PdsUrl":"http://files.rentalcover.com/pds/axa_PDS_usinbound.pdf",
      "SupplierName":"Axa Assistance",
      "ModifyUrl":"http://www.rentalcover.com/modify/AB12-345C-INS",
      "CancelUrl":""
   },
   "Customer":{
      "CustomerId":"12345",
      "FirstName":"Jack",
      "LastName":"Smith",
      "Email":"jacksmith@myemail.com.au",
      "Age":"21",
      "Phone":null,
      "Address1":"21 This Street",
      "Address2":null,
      "City":"Sydney",
      "Region":null,
      "PostalCode":null,
      "CountryId":"14",
      "DateOfBirth":"1995-01-01",
      "Country":"AU"
   },
   "QuoteUrl":"https://www.rentalcover.com/payment/AB12-345C-INS/?_lang=en&utm_campaign=api_quote_url&utm_medium=link&utm_source=destinationusa"
    "Documentation": {
       "Ipid": "https://files.rentalcover.com/ipid/AIL/AIL+FP+OUT/FULL+PROTECTION+AILS+OUTBOUND+IPID-EN.pdf"
    },
}
```

{% endtab %}
{% endtabs %}

## **Request Parameters**

<table data-header-hidden><thead><tr><th></th><th></th></tr></thead><tbody><tr><td></td><td></td></tr><tr><td><code>X_API_KEY</code> string [varchar(32)] <strong>required</strong></td><td>API Key, provided by RentalCover.com.</td></tr><tr><td><code>FromDate</code> date [yyyy-mm-dd hh:mm:ss] <strong>required</strong></td><td>Date/time of vehicle pickup.</td></tr><tr><td><code>ToDate</code> date [yyyy-mm-dd hh:mm:ss] <strong>required</strong></td><td>Date/time of vehicle drop-off.</td></tr><tr><td><code>DestinationCountry</code> string [varchar(2)] <strong>required</strong></td><td>ISO 3166 two character country code for country of travel.</td></tr><tr><td><code>CustomerAge</code> integer <strong>required</strong></td><td>Customer age.</td></tr><tr><td><code>Email</code> string <strong>required</strong></td><td>Customer email.</td></tr><tr><td><code>FirstName</code> string <strong>required</strong></td><td>Customer first name (if unknown use <code>NULL</code>).</td></tr><tr><td><code>LastName</code> string <strong>required</strong></td><td>Customer last name (if unknown use <code>NULL</code>).</td></tr><tr><td><code>Country</code> string [varchar(2)] <strong>required</strong></td><td>ISO 3166 two character country code for customer country of residence or IP.</td></tr><tr><td><code>Type</code> string</td><td>[ExcessReduction, CDW, Comprehensive, RoadsideAssistance, FullProtection] Requested policy type<br>By Default we provide, ExcessReduction and Comprehensive policies<br>To Request RoadsideAssistance policies (customers travelling to US), request with “Type”:“RoadsideAssistance”<br>To Request CDW policies (US Residents travelling elsewhere), request with “Type”:“CDW”.</td></tr><tr><td><code>FromLocationName</code> string</td><td>Full geographical location of vehicle pick-up. Format should be a unique free-text identifier, preferably comma-separated in order of increasing specificity. Airports should end with a colon followed by IATA code. Non-airport example: "Paris,Paris Montparnasse Railway Station", airport example: "Paris,Paris Le Bourget Airport:LBG".</td></tr><tr><td><code>ToLocationName</code> string</td><td>Full geographical location of vehicle drop-off. Format should be a unique free-text identifier, preferably comma-separated in order of increasing specificity. Airports should end with a colon followed by IATA code.</td></tr><tr><td><code>Address1</code> string</td><td>Customer street address line 1 (50 character limit).</td></tr><tr><td><code>Address2</code> string</td><td>Customer street address line 2 (50 character limit).</td></tr><tr><td><code>City</code> string</td><td>Customer suburb.</td></tr><tr><td><code>PostalCode</code> string</td><td>Customer post code or zip code.</td></tr><tr><td><code>Phone</code> string</td><td>Customer phone.</td></tr><tr><td><code>OtherEmail</code> string</td><td>Customer other email.</td></tr><tr><td><code>Region</code> string</td><td>The customer's state, region or territory, this is a 2 or 3-letter code. See <a href="/pages/NJwIOKzISGRtxG1QXMBC">supported regions</a>.</td></tr><tr><td><code>OtherDriveAge1</code> integer</td><td>Age of second driver.</td></tr><tr><td><code>OtherDriveAge2</code> integer</td><td>Age of third driver.</td></tr><tr><td><code>CoverAmount</code> float</td><td>The amount of cover required.</td></tr><tr><td><code>PolicyPrice</code> float</td><td>Price of partner policy (if partner sets price). If &#x3C; RC policy then partner price will be used.</td></tr><tr><td><code>VehicleStdLiabilityHigh</code> float</td><td>If >1 standard excess available for vehicle, this is the higher amount. If only 1 standard excess, use this field.</td></tr><tr><td><code>VehicleStdLiabilityLow</code> float</td><td>If >1 standard excess available for the vehicle this is the lower amount. If only 1 standard liability available, use <code>VehicleStdLiabilityHigh</code>. Policy quotes will use this amount to determine the amount of cover required. if this value isn’t passed in the request then <code>CoverAmount</code> will be used.</td></tr><tr><td><code>VehicleStdLiabilityCurrency</code> string [varchar(3)]</td><td>Currency of vehicle’s standard liability.</td></tr><tr><td><code>VehicleSupplierId</code> string</td><td>Vehicle supplier ID.</td></tr><tr><td><code>VehicleSupplierIdTwo</code> string</td><td>Vehicle supplier ID of second supplier.</td></tr><tr><td><code>VehicleSupplierName</code> string</td><td>Vehicle supplier name.</td></tr><tr><td><code>VehicleSupplierCountryId</code> string [varchar(2)]</td><td>Vehicle supplier country code.</td></tr><tr><td><code>VehicleName</code> string</td><td>Vehicle name.</td></tr><tr><td><code>VehicleCategory</code> string</td><td>Vehicle category (if SIPP not used).</td></tr><tr><td><code>VehicleCode</code> string</td><td>Vehicle <a href="https://www.car-hire-centre.co.uk/sipp-code-list.html">SIPP code</a>.</td></tr><tr><td><code>VehicleBerths</code> string</td><td>Vehicle berths.</td></tr><tr><td><code>VehicleOffroad4x4</code> boolean default is <code>false</code></td><td>Vehicle off road.</td></tr><tr><td><code>VehicleClass</code> string</td><td>Vehicle class.</td></tr><tr><td><code>VehicleNettPrice</code> float</td><td>The wholesale price of the vehicle paid by the OTA.</td></tr><tr><td><code>VehicleRentalGross</code> float</td><td>The retail price of the vehicle.</td></tr><tr><td><code>ContactCustomer</code> boolean [0|1] default is <code>1</code></td><td>Whether to allow RC email contact with customer. Would be <code>1</code> if RC allowed to send “opt out” emails.</td></tr><tr><td><code>LanguageCode</code> string [varchar(2)] default is <code>en</code></td><td>Two character language code. See <a href="/pages/AqHiFohyz6sbqorNgVoQ">supported languages</a>.</td></tr><tr><td><code>LDWIncluded</code> boolean [0|1]</td><td>If LDW is included we remove theft from the Comparison Table in Content endpoint.</td></tr><tr><td><code>SLIIncluded</code> boolean [0|1]</td><td></td></tr><tr><td><code>CDWIncluded</code> boolean [0|1]</td><td>Specifies if the policy includes Collision Damage Waiver (CDW). This is typically used for full protection policies. If omitted, the system defaults this value to <code>0</code> (False).</td></tr><tr><td><code>UserIpAddress</code> string [20]</td><td>The end user’s IP address.</td></tr><tr><td><code>VehiclePickupTime</code> datetime in UTC</td><td>The local vehicle pickup time with UTC offset (Atom format).e.g. 2018-12-04T22:00:00-05:00. Used to determine cancellation grace period. Allows customers to cancel up to time of pickup +15 minutes. If null then cancellation is midnight +15mins.</td></tr><tr><td><code>VehiclePickupCity</code> string [varchar(50)]</td><td>Unstructured data. Pass whatever you use as your own city identifiers.</td></tr><tr><td><code>VehiclePickupCountry</code> string [varchar(2)]</td><td>Two Letter Country Code.</td></tr><tr><td><code>VehicleDropoffTime</code> datetime in UTC</td><td>The vehicle drop off time in UTC with offset (Atom format) e.g. 2018-12-04T22:00:00-05:00.</td></tr><tr><td><code>VehicleDropoffCity</code> string [varchar(50)]</td><td></td></tr><tr><td><code>VehicleDropoffCountry</code> string [varchar(2)]</td><td></td></tr><tr><td><code>VehiclePickupRegion</code> string [varchar(50)]</td><td>This indicates the state, region or territory code the customer is picking their vehicle up from, e.g. <code>NY</code> for New York. See<a href="/pages/NJwIOKzISGRtxG1QXMBC"> supported regions</a>.</td></tr><tr><td><code>Currency</code> string [varchar(3)]</td><td>If passed all the responses in the quote response will be in the specified currency. Also all subsequent actions to that quote will be in the specified currency (i.e. purchase, update, and cancel). <a href="https://www.covergenius.com/api-docs/%3C/td%3E%3Ctd%20%3Ecat-5">See supported currencies</a>.</td></tr><tr><td><code>PartnerSite</code> string [50]</td><td>Used if partner has multiple sites to determine partner’s referring domain. Use this format: yoursite.com string would be <code>yoursitecom.</code></td></tr><tr><td><code>RoadSideAssistanceCoverOption</code> boolean [0|1]</td><td>Used to request for roadside assistance cover option.</td></tr><tr><td><code>BWCookie</code> string</td><td>Used to send BW Cookie ID to RentalCover.</td></tr><tr><td><code>VehicleTypes</code> string [100]</td><td>Comma separated list of vehicle types. Codes here:<br><code>car,motorhome,campervan,4x4,</code><br><code>minibus,lighttruck,bus</code></td></tr><tr><td><code>PartnerCollectingPayment</code> boolean</td><td>Indicates whether the partner is collecting the payment.</td></tr><tr><td><code>ExpressCode</code> string[50]</td><td>Used to request a specific policy to run policy experiments (ExpressCode to be provided by Client Solution Engineers and is disabled by default)</td></tr><tr><td><code>MetaData</code> json (object | string)</td><td><p>Additional user-defined data, provided as a valid JSON object. This field allows clients to send supplementary information relevant to their specific use case. The structure and content of this object are entirely determined by the client.<br><br>e.g.</p><pre><code>{
    "securitytoken": "39456fdhUIHIUH",
    "esim": {
        "esim_eligible": true
    }
}
</code></pre></td></tr></tbody></table>

## **Response Attributes**

Response properties with the text `Formatted` appended are formatted with the relevant currency code and symbol.<br>

| `BookingId` integer                                                        | Internal ID of the booking (primary key)                                                                                                                                                                                                                              |
| -------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `Reference` string                                                         | This is the sole identifier for all claims and support requests. Unique booking reference ending with `-INS` that is created for for each policy booked. Customers will receive this reference in confirmation emails. Also used in the purchase and cancel requests. |
| `Status` string                                                            | See [booking statuses](/rentalcover/endpoints/status.md#booking-statuses).                                                                                                                                                                                            |
| `FromDate` datetime                                                        | Start date/time of booking.                                                                                                                                                                                                                                           |
| `ToDate` datetime                                                          | End date/time of booking.                                                                                                                                                                                                                                             |
| `TotalAmount` float                                                        | Total amount customer is to pay for the policy (already includes discounts & markups).                                                                                                                                                                                |
| `InsuranceCoverAmount` float                                               | Amount of cover the policy includes.                                                                                                                                                                                                                                  |
| `SupplierReference` string                                                 | Supplier’s (i.e. the insurer’s) policy number. Usually issued upon payment. This is not used for any claims or customer support (we use `Reference`).                                                                                                                 |
| `Expired` boolean                                                          | Flag whether the policy has expired.                                                                                                                                                                                                                                  |
| `PoweredByLogo` string                                                     | URL of RentalCover logo.                                                                                                                                                                                                                                              |
| `CoveredDays` integer                                                      | Number of days the customer is covered for.                                                                                                                                                                                                                           |
| `Discount` float                                                           | Amount of discount that has been applied to the `TotalAmount.`                                                                                                                                                                                                        |
| `DestinationCountry` string                                                | Full name of destination country of travel.                                                                                                                                                                                                                           |
| `DestinationCountryObject.Code` string                                     | ISO 3166 two character destination country code.                                                                                                                                                                                                                      |
| `DestinationCountryObject.Name` string                                     | Full name of destination country of travel.                                                                                                                                                                                                                           |
| `DestinationCountryObject.PhoneCode` string                                | Destination country phone prefix.                                                                                                                                                                                                                                     |
| `VehiclePickupRegion` string                                               | This indicates the state, region or territory code the customer is picking their vehicle up from.                                                                                                                                                                     |
| `Currency` string                                                          | Three character currency of the booking.                                                                                                                                                                                                                              |
| `TotalAmountFormatted` string                                              | Total amount customer must pay for the policy (already includes discounts & markups). Includes currency formatting.                                                                                                                                                   |
| `InsuranceCoverAmountFormatted` string                                     | Amount of cover the policy includes.                                                                                                                                                                                                                                  |
| `DiscountFormatted` string                                                 | Amount of discount that has been applied to the `TotalAmount.`                                                                                                                                                                                                        |
| `DailyAmountFormatted` string                                              | `TotalAmount` / No Days.                                                                                                                                                                                                                                              |
| `Commission.TotalCommission` string                                        | Total commission for the partner (already includes discounts and markups).                                                                                                                                                                                            |
| `Commission.TotalCommissionFormatted` string                               | Formatted version of the TotalCommission.                                                                                                                                                                                                                             |
| `SettlementCurrencyObject.SettlementCurrency` string                       | Three character settlement currency of the booking.                                                                                                                                                                                                                   |
| `SettlementCurrencyObject.SettlementAmount` float                          | Total amount customer must pay for the policy, in the settlement currency rate (already includes discounts and markups).                                                                                                                                              |
| `SettlementCurrencyObject.SettlementAmountFormatted` string                | Formatted version of the Settlement Amount.                                                                                                                                                                                                                           |
| `SettlementCurrencyObject.Commission.SettlementCommission` float           | Total commission for the partner, in the settlement currency rate.                                                                                                                                                                                                    |
| `SettlementCurrencyObject.Commission.SettlementCommissionFormatted` string | Formatted version of the SettlementCommission.                                                                                                                                                                                                                        |
| `Disclaimer` string                                                        | Policy disclaimer.                                                                                                                                                                                                                                                    |
| `Policy.GapCoverAmount` float                                              | Amount of gap cover that the policy includes.                                                                                                                                                                                                                         |
| `Policy.Name` string                                                       | Name of the policy.                                                                                                                                                                                                                                                   |
| `Policy.Type` string                                                       | Type of the Policy.                                                                                                                                                                                                                                                   |
| `Policy.Code` string                                                       | Policy code.                                                                                                                                                                                                                                                          |
| `Policy.ExpressCode` string                                                | Policy ExpressCode. Only available when `ExpressCode` included in the request.                                                                                                                                                                                        |
| `Policy.Excess` float                                                      | Amount of excess.                                                                                                                                                                                                                                                     |
| `Policy.Inclusions` string                                                 | Policy inclusions.                                                                                                                                                                                                                                                    |
| `Policy.Description` string                                                | Policy description.                                                                                                                                                                                                                                                   |
| `Policy.SellingPoints` string                                              | Policy selling points / benefits.                                                                                                                                                                                                                                     |
| `Policy.SpecialMessage` string                                             | Any special messages related to the policy will be passed through this field.                                                                                                                                                                                         |
| `Policy.GapCoverAmountFormatted` string                                    | Amount of gap cover that the policy includes.                                                                                                                                                                                                                         |
| `Policy.ExcessFormatted` string                                            | Amount of excess.                                                                                                                                                                                                                                                     |
| `Policy.PdsUrl` string                                                     | URL to the policy PDS PDF.                                                                                                                                                                                                                                            |
| `Policy.SupplierName` string                                               | Name of the policy supplier.                                                                                                                                                                                                                                          |
| `Policy.ModifyUrl` string                                                  | URL that allows the policy to be modified (if not using API endpoint).                                                                                                                                                                                                |
| `Policy.CancelUrl` string                                                  | URL that allows the policy to be cancelled (if not using API endpoint).                                                                                                                                                                                               |
| `Customer.FirstName` string                                                | First name of customer.                                                                                                                                                                                                                                               |
| `Customer.LastName` string                                                 | Last name of customer.                                                                                                                                                                                                                                                |
| `Customer.Email` string                                                    | Email address of customer.                                                                                                                                                                                                                                            |
| `Customer.Age` integer                                                     | Age of customer.                                                                                                                                                                                                                                                      |
| `Customer.Country` string                                                  | Customer country code.                                                                                                                                                                                                                                                |
| `Customer.Coupons` object                                                  | 0:n coupons, not returned if no coupons available.                                                                                                                                                                                                                    |
| `Customer.Coupons.[coupon_code]` string                                    | Coupon code.                                                                                                                                                                                                                                                          |
| `Customer.Coupons.[coupon_code].Title` string                              | Coupon title.                                                                                                                                                                                                                                                         |
| `Customer.Coupons.[coupon_code].Value` integer                             | Value of coupon.                                                                                                                                                                                                                                                      |
| `Customer.Coupons.[coupon_code].ValueType` string                          | Fixed or percentage.                                                                                                                                                                                                                                                  |
| `Customer.Coupons.[coupon_code].AmountRemaining` float                     | Amount remaining on coupon \[null].                                                                                                                                                                                                                                   |
| `Customer.Coupons.[coupon_code].EffectiveFrom` date                        | Date that coupon is effective from.                                                                                                                                                                                                                                   |
| `Customer.Coupons.[coupon_code].EffectiveTo` date                          | Date that coupon is effective to.                                                                                                                                                                                                                                     |
| `Customer.Coupons.[coupon_code].Ters` string                               | Coupon terms and conditions.                                                                                                                                                                                                                                          |
| `QuoteUrl` string                                                          | Quote URL of the policy. Can be used if customer opts out. Renders the payment page on RentalCover.com, customer can then complete payment for the policy.                                                                                                            |
| `Documentation.Ipid` string                                                | URL for the policy IPID. This will only be returned if given criteria is met.                                                                                                                                                                                         |
| `EsimCouponEligible` string                                                | Returns true if a coupon code for an eSIM can be sent to the partner's email. This requires both the partner and the destination country to be eligible for the coupon. If either is ineligible, it returns false.                                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://partner-docs.covergenius.com/rentalcover/endpoints/quote.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
